summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorFabian Groffen <grobian@gentoo.org>2018-01-10 20:10:34 +0100
committerFabian Groffen <grobian@gentoo.org>2018-01-10 20:10:34 +0100
commit3cfa048ab51ca716bbdb34f14b6ee48c3844c680 (patch)
treeccf8d63c447d6a0bcf28bfa7cc6b06995eecc492
parentsys-libs/ncurses: build tic.exe for Cygwin (diff)
downloadprefix-3cfa048ab51ca716bbdb34f14b6ee48c3844c680.tar.gz
prefix-3cfa048ab51ca716bbdb34f14b6ee48c3844c680.tar.bz2
prefix-3cfa048ab51ca716bbdb34f14b6ee48c3844c680.zip
sys-libs/libcxxabi: port ppc buildfix from 3.5.1 to 3.8.1
Package-Manager: Portage-2.3.18-prefix, Repoman-2.3.6
-rw-r--r--sys-libs/libcxxabi/libcxxabi-3.8.1.ebuild4
1 files changed, 4 insertions, 0 deletions
diff --git a/sys-libs/libcxxabi/libcxxabi-3.8.1.ebuild b/sys-libs/libcxxabi/libcxxabi-3.8.1.ebuild
index 136a09b357..a64483c44a 100644
--- a/sys-libs/libcxxabi/libcxxabi-3.8.1.ebuild
+++ b/sys-libs/libcxxabi/libcxxabi-3.8.1.ebuild
@@ -57,6 +57,10 @@ src_prepare() {
-e "s,-arch i386 -arch x86_64,,g" \
lib/buildit
+ if [[ ${CHOST} == powerpc*-darwin* ]] ; then
+ sed -i -e '/RC_CFLAGS=""/s/""/"-fPIC"/' lib/buildit || die
+ fi
+
# assert.h refers to eprintf which is nowhere to be found. That's why
# everyone (libstdc++, clang compiler-rt) bring their own
# implementation. Ours is nicked from Apple's patch to libstdc++-39.